
#ifndef ROOT_TAttLine
#define ROOT_TAttLine

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttLine                                                             //
//                                                                      //
// Line attributes.                                                     //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif


class TAttLine {

protected:
        Color_t    fLineColor;           //line color
        Style_t    fLineStyle;           //line style
        Width_t    fLineWidth;           //line width

public:
        TAttLine();
        TAttLine(Color_t lcolor,Style_t lstyle, Width_t lwidth);
        virtual ~TAttLine();
                void     Copy(TAttLine &attline);
        Int_t            DistancetoLine(Int_t px, Int_t py, Float_t xp1, Float_t yp1, Float_t xp2, Float_t yp2 );
        Color_t          GetLineColor() {return fLineColor;}
        Style_t          GetLineStyle() {return fLineStyle;}
        Width_t          GetLineWidth() {return fLineWidth;}
        virtual void     Modify();
        virtual void     Reset(Option_t *option="");
        virtual void     SaveLineAttributes(ofstream &out, const Text_t *name, Int_t coldef=1, Int_t stydef=1, Int_t widdef=1);
        virtual void     SetLineAttributes(); // *MENU*
        virtual void     SetLineColor(Color_t lcolor) { fLineColor = lcolor;}
        virtual void     SetLineStyle(Style_t lstyle) { fLineStyle = lstyle;}
        virtual void     SetLineWidth(Width_t lwidth) { fLineWidth = lwidth;}

        ClassDef(TAttLine,1)  //Line attributes
};

#endif

